diff --git a/doc/src/sgml/release-12.sgml b/doc/src/sgml/release-12.sgml
index 126d6144a4..b7287196f3 100644
--- a/doc/src/sgml/release-12.sgml
+++ b/doc/src/sgml/release-12.sgml
@@ -654,6 +654,28 @@ Author: Peter Eisentraut <peter_e@gmx.net>
      </para>
     </listitem>
 
+    <listitem>
+<!--
+Author: Michael Paquier <michael@paquier.xyz>
+2018-09-12 [e7a221797] Parse more strictly integer parameters from connection s
+-->
+
+     <para>
+      Parse more strictly integer parameters from connection strings in libpq
+      (Fabien Coelho)
+     </para> 
+
+     <para>
+      In older versions, using an incorrect integer value in connection
+      parameters <literal>connect_timeout</literal>,
+      <literal>keepalives</literal>, <literal>keepalives_count</literal>,
+      <literal>keepalives_idle</literal>,
+      <literal>keepalives_interval</literal> and <literal>port</literal>
+      made libpq either ignore those values or fail with incorrect
+      error messages.
+     </para> 
+    </listitem>
+    
    </itemizedlist>
 
   </sect2>
